Bug 1861695 - [GCP] machineset created with default values is failing to create machine
Summary: [GCP] machineset created with default values is failing to create machine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.6.0
Assignee: Alberto
QA Contact: Milind Yadav
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-29 10:00 UTC by Milind Yadav
Modified: 2020-10-27 16:21 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:21:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-api-operator pull 662 0 None closed Bug 1861695: Update defaultGCPDiskImage 2020-10-01 21:21:22 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:21:39 UTC

Description Milind Yadav 2020-07-29 10:00:32 UTC
Version-Release -Cluster version is 4.6.0-0.nightly-2020-07-25-091217

Steps:
1.Use the below yaml to create  a machineset 
http://pastebin.test.redhat.com/888651

Expected & Actual:
machineset.machine.openshift.io/miyadav-j881-jgxdk-worker-a-def created

2.Check the machine created by machineset
[miyadav@miyadav debug]$ oc get machines --config=kubeconfig3
NAME                                    PHASE     TYPE            REGION        ZONE            AGE
miyadav-j881-jgxdk-worker-a-def-sjgrq   Failed                                                  55s
.
.

Expected : Machine should provision successfully

Additional Info:
oc describe machine <machine-name>
Status:
  Error Message:  error launching instance: googleapi: Error 400: Invalid value for field 'resource.disks[0].initializeParams.sourceImage': 'https://www.googleapis.com/compute/v1/projects/openshift-qe/global/images/miyadav-p330-5w9gt-rhcos-image'. The referenced image resource cannot be found., invalid
  Last Updated:   2020-07-29T09:43:31Z
  Phase:          Failed
  Provider Status:
    Conditions:
      Last Probe Time:       2020-07-29T09:43:31Z
      Last Transition Time:  2020-07-29T09:43:31Z
      Message:               googleapi: Error 400: Invalid value for field 'resource.disks[0].initializeParams.sourceImage': 'https://www.googleapis.com/compute/v1/projects/openshift-qe/global/images/miyadav-p330-5w9gt-rhcos-image'. The referenced image resource cannot be found., invalid
      Reason:                MachineCreationFailed
      Status:                False
      Type:                  MachineCreated
    Metadata:
Events:
  Type     Reason        Age                  From           Message
  ----     ------        ----                 ----           -------
  Warning  FailedCreate  2m8s (x2 over 2m8s)  gcpcontroller  error launching instance: googleapi: Error 400: Invalid value for field 'resource.disks[0].initializeParams.sourceImage': 'https://www.googleapis.com/compute/v1/projects/openshift-qe/global/images/miyadav-p330-5w9gt-rhcos-image'. The referenced image resource cannot be found., invalid
[miyadav@miyadav debug]$

Comment 2 Alberto 2020-07-29 12:34:05 UTC
can you please share must gather logs?
how does the providerSpec.Disks.Image field for existing machines?

Comment 3 Milind Yadav 2020-07-29 12:49:28 UTC
Sorry env is cleaned up :

here is other info :

image: projects/rhcos-cloud/global/images/rhcos-46-82-202007051540-0-gcp-x86-64 [default installation]
image: miyadav-p330-5w9gt-rhcos-image [default values when populated]

Comment 6 Milind Yadav 2020-08-06 07:01:42 UTC
VALIDATED ON :
[miyadav@miyadav debug]$ oc get clusterversion --config gckube 
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2020-08-06-011653   True        False         50m     Cluster version is 4.6.0-0.nightly-2020-08-06-011653


Steps 
1.create machineset using below yaml :
https://gist.github.com/miyadav/07a955814bcf59bfb214b3d64f56402f

Expected and Actual :

Machineset created successfully 

Machine provisioned successfully and is in running status


[miyadav@miyadav debug]$ oc get machines --config gckube 
NAME                                PHASE     TYPE            REGION        ZONE            AGE
default-valued-ms-gcp-lxxnd         Running   n1-standard-4   us-central1   us-central1-a   6m46s
miyadav-b695-7vfnx-master-0         Running   n1-standard-4   us-central1   us-central1-a   78m
miyadav-b695-7vfnx-master-1         Running   n1-standard-4   us-central1   us-central1-b   78m
miyadav-b695-7vfnx-master-2         Running   n1-standard-4   us-central1   us-central1-c   78m
miyadav-b695-7vfnx-worker-a-v8vz4   Running   n1-standard-4   us-central1   us-central1-a   65m
miyadav-b695-7vfnx-worker-b-kb75q   Running   n1-standard-4   us-central1   us-central1-b   65m
miyadav-b695-7vfnx-worker-c-fqjtk   Running   n1-standard-4   us-central1   us-central1-c   65m

Comment 8 errata-xmlrpc 2020-10-27 16:21:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.